---
title: restart
slug: Web/SVG/Attribute/restart
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <code><strong>restart</strong></code> attribute specifies whether or not an animation can restart.</p>

<p>Five elements are using this attribute: {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, and {{SVGElement("set")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}

a {
  fill: blue;
  text-decoration: underline;
  cursor: pointer;
}</pre>
</div>

<pre class="brush: html; highlight[4,8]">&lt;svg viewBox="0 0 220 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;rect y="30" width="100" height="100"&gt;
    &lt;animate attributeType="XML" attributeName="y" from="30" to="100"
        dur="5s" repeatCount="1" restart="always" /&gt;
  &lt;/rect&gt;
  &lt;rect x="120" y="30" width="100" height="100"&gt;
    &lt;animate attributeType="XML" attributeName="y" from="30" to="100"
        dur="5s" repeatCount="1" restart="whenNotActive"/&gt;
  &lt;/rect&gt;
  &lt;a id="restart"&gt;&lt;text y="20"&gt;Restart animation&lt;/text&gt;&lt;/a&gt;
&lt;/svg&gt;</pre>

<pre class="brush: js">document.getElementById("restart").addEventListener("click", evt =&gt; {
  document.querySelectorAll("animate").forEach(element =&gt; {
    element.beginElement();
  });
});</pre>

<p>{{EmbedLiveSample("topExample", "220", "150")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>always</code> | <code>whenNotActive</code> | <code>never</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>always</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>always</code></dt>
 <dd>This value indicates that the animation can be restarted at any time.</dd>
 <dt><code>whenNotActive</code></dt>
 <dd>This value indicates that the animation can only be restarted when it is not active (i.e. after the active end). Attempts to restart the animation during its active duration are ignored.</dd>
 <dt><code>never</code></dt>
 <dd>This value indicates that the animation cannot be restarted for the time the document is loaded.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG Animations 2", "#RestartAttribute", "restart")}}</td>
   <td>{{Spec2("SVG Animations 2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "animate.html#RestartAttribute", "restart")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.animate.restart")}}</p>
